## Interface Swift_Mime_CharsetObserver

(line 17)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mime/CharsetObserver.php

##### Observes changes in an Mime entity's character set.

- author: - Chris Corbyn

Classes extended from Swift_Mime_CharsetObserver:

Swift_Encoder
  Interface for all Encoder schemes.

Swift_Mime_HeaderFactory
  Creates MIME headers.

Swift_Mime_HeaderSet
  A collection of MIME headers.

Swift_Mime_MimeEntity
  A MIME entity, such as an attachment.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void charsetChanged (string $charset)

#### Method charsetChanged (line 24)

#### void charsetChanged( string $charset)

##### Notify this observer that the entity's charset has changed.

#### Parameters

- string $charset:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:17 +0000 by phpDocumentor 1.4.3